> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Job

> Submit an async job that calculates domestic securities Tax P&L.

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/fxmsydu/get-job-status" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/it/openapi.json POST /it/calculator/tax-pnl/securities/domestic
openapi: 3.1.0
info:
  title: Sandbox API [Prod]
  version: '1.0'
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security:
  - {}
paths:
  /it/calculator/tax-pnl/securities/domestic:
    post:
      tags:
        - tax-pnl
        - securities
        - domestic
      summary: Submit Job
      parameters:
        - name: input
          in: query
          required: false
          description: >-
            Type of input file. Allowed values: tradewise_settlement or
            tradebook.
          deprecated: false
          schema: {}
          example: tradewise_settlement
        - name: output
          in: query
          required: false
          description: >-
            Output format to generate. Allowed values: tradewise_tax_pnl or
            scripwise_tax_pnl.
          deprecated: false
          schema: {}
          example: tradewise_tax_pnl
        - name: financial_year
          in: query
          required: false
          description: >-
            Financial year for which the report is generated. Use format FY
            20XX-XX (e.g., FY 2024-25).
          deprecated: false
          schema: {}
          example: FY 2025-26
        - name: x-accept-type
          in: header
          required: true
          description: >-
            Specifies the response format expected from the API. Use
            application/json for JSON responses or application/xlsx for Excel
            file downloads.application/xlsx
          deprecated: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
              - 'application/xlsx '
          example: 'application/xlsx '
        - name: x-api-key
          in: header
          required: true
          description: Your API key used to authenticate and authorize the request.
          deprecated: false
          schema:
            type: string
          example: '{{api_key}}'
        - name: x-api-version
          in: header
          description: >-
            Indicates the version of the API you want to use. Ensures
            backward-compatible behavior.
          schema:
            type: string
            default: 1.0.0
          example: '{{version}}'
        - name: Authorization
          in: header
          required: true
          description: >-
            Bearer token for user-level authorization. Typically passed as
            Bearer {{access_token}}.
          deprecated: false
          schema:
            type: string
          example: '{{access_token}}'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      created_at:
                        type: integer
                      updated_at:
                        type: integer
                      '@entity':
                        type: string
                      security_type:
                        type: string
                      url:
                        type: string
                        format: uri
                      status:
                        type: string
                      job_id:
                        type: string
                  transaction_id:
                    type: string
              example:
                code: 200
                timestamp: 1764238280541
                data:
                  created_at: 1764238289996
                  updated_at: 1764238289996
                  '@entity': in.co.sandbox.it.calculator.tax_pnl.securities.job
                  security_type: domestic
                  url: >-
                    https://in-co-sbox-it-calc-tax-pnl-sec-dev.s3.ap-south-1.amazonaws.com/domestic/cae21a50-9940-48d9-9c20-800df31e0e81/workbook.input?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=EXAMPLEACCESSKEY%2F20251127%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Date=20251127T101130Z&X-Amz-Expires=86400&X-Amz-Signature=EXAMPLE_SIGNATURE&X-Amz-SignedHeaders=host&x-amz-checksum-crc32=AAAAAA%3D%3D&x-amz-sdk-checksum-algorithm=CRC32&x-id=PutObject
                  status: created
                  job_id: cae21a50-9940-48d9-9c20-800df31e0e81
                transaction_id: cae21a50-9940-48d9-9c20-800df31e0e81
        '422':
          description: Invalid Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
              example:
                code: 422
                timestamp: 1764238336424
                message: Invalid request
                transaction_id: cdd0702e-1575-4d1e-99f6-29ffe4074277

````